Bug 249462 - misc/wmjulia: Fix build with 13-CURRENT
Summary: misc/wmjulia: Fix build with 13-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-19 20:19 UTC by jens_d
Modified: 2020-09-24 02:08 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
patch fixing declaration of global variables in header (2.17 KB, patch)
2020-09-19 20:19 UTC, jens_d
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jens_d 2020-09-19 20:19:14 UTC
Created attachment 218089 [details]
patch fixing declaration of global variables in header

those dockapps all copied from each other, bugs are very similar
Comment 1 commit-hook freebsd_committer 2020-09-23 12:10:54 UTC
A commit references this bug:

Author: fernape
Date: Wed Sep 23 12:10:47 UTC 2020
New revision: 549712
URL: https://svnweb.freebsd.org/changeset/ports/549712

Log:
  misc/wmjulia fix 13-Current build

  Another instance of -fno-common issue.

  While here:

   * Add missig USE_XORG dependency
   * Reorganize WRKSRC so we don't generate weird patches
   * Pet linters

  PR:	249462
  Submitted by:	jd.fbsd@goneja.de
  MFH:	2020Q3 (build fix, -fno-common)

Changes:
  head/misc/wmjulia/Makefile
  head/misc/wmjulia/files/patch-Makefile
  head/misc/wmjulia/files/patch-wmgeneral_wmgeneral.c
  head/misc/wmjulia/files/patch-wmgeneral_wmgeneral.h
  head/misc/wmjulia/files/patch-wmjulia_Makefile
Comment 2 commit-hook freebsd_committer 2020-09-23 12:15:02 UTC
A commit references this bug:

Author: fernape
Date: Wed Sep 23 12:14:30 UTC 2020
New revision: 549714
URL: https://svnweb.freebsd.org/changeset/ports/549714

Log:
  MFH: r549712

  misc/wmjulia fix 13-Current build

  Another instance of -fno-common issue.

  While here:

   * Add missig USE_XORG dependency
   * Reorganize WRKSRC so we don't generate weird patches
   * Pet linters

  PR:	249462
  Submitted by:	jd.fbsd@goneja.de

  Approved by:	ports-secteam (blanket, runtime fix, -fno-common)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/misc/wmjulia/Makefile
  branches/2020Q3/misc/wmjulia/files/patch-Makefile
  branches/2020Q3/misc/wmjulia/files/patch-wmgeneral_wmgeneral.c
  branches/2020Q3/misc/wmjulia/files/patch-wmgeneral_wmgeneral.h
  branches/2020Q3/misc/wmjulia/files/patch-wmjulia_Makefile
Comment 3 Fernando Apesteguía freebsd_committer 2020-09-23 12:15:36 UTC
Committed,

Thanks!